# Add Certificate - AddCertificate

## Overview

Add Certificate






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `AddCertificate`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **CertName** | string | Certificate Name |**Yes**|
| **UserCert** | string | User Certificate |**Yes**|
| **PrivateKey** | string | User Private Key |**Yes**|
| **CaCert** | string | CA certificate, default is null |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=AddCertificate
&ProjectId=rEwOoIJt
&CertName=fmwozpNd
&UserCert=iHGOBHbx
&PrivateKey=dRtuwGck
&CaCert=bMfufYcc
```

### Response Example
    
```json
{
  "Action": "AddCertificateResponse",
  "RetCode": 0
}
```





